Video API, REST: Video.GetManifests
Retrieves the manifest URLs for a specific video.
Manifests are used by video players to access the video content with adaptive bitrate streaming.
Supports different manifest types (HLS, DASH) and configuration parameters.
Manifests and its url MUST not be cached.
The player MUST request a fresh manifest every time playback starts.
HTTP request
GET https://video.api.cloud.yandex.net/video/v1/videos/{videoId}:getManifests
Path parameters
|
Field |
Description |
|
videoId |
string Required field. ID of the video for which to retrieve manifest URLs. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"manifests": [
{
"url": "string",
"type": "string"
}
]
}
|
Field |
Description |
|
manifests[] |
List of manifests available for the video. |
Manifest
Represents a streaming manifest file that defines how video content is delivered.
Manifests contain information about available video qualities, audio tracks,
and other metadata needed by video players to stream content efficiently.
Manifests and its url MUST not be cached.
The player MUST request a fresh manifest every time playback starts.
|
Field |
Description |
|
url |
string URL where the manifest file can be accessed. |
|
type |
enum (ManifestType) Format of the manifest file.
|